<?php
if ( !defined( 'ABSPATH' ) ) {
  die( '-1' );
}

class WPBakeryShortCode_ts_contact_bar extends WPBakeryShortCode {

  protected function content( $atts, $content = null ) {

    extract( shortcode_atts( array(
	  'color' => '',
      'background' => '',
      'title' => '',
      'description' => '',

      'display_button' => 'hide',
      'button_label' => '',
      'button_url' => '',


      'animate_block' => 'false',
      'animation_type' => 'fadeIn',
      'animation_delay' => '',
    ), $atts ) );

    ob_start();


    $wrapper_class = '';
    if ( $animate_block == 'yes' ) {
      $wrapper_class = 'wow ' . $animation_type;
    }
    ?>




<div style='background:<?php echo esc_attr( $background ); ?>; color:<?php echo esc_attr( $color ); ?>;' class="contact-bar <?php echo esc_attr( $wrapper_class ); ?>" <?php if( $animate_block == 'yes' && $animation_delay != '' ) { echo 'data-wow-delay="' . esc_attr( $animation_delay ) . '"'; } ?>>
	
	
	
	
	
  <?php if( $title != '' ) { ?>
	 <h2><?php echo esc_html( $title ); ?></h2>
  <?php } ?>
  
	 <?php if( $description != '' ) { ?>
	 <p><?php echo wp_kses_post( $description ); ?></p>
  <?php } ?>
	
	<?php if( $display_button != 'hide' ) { ?>
  <a href="<?php echo esc_url( $button_url ); ?>"><?php echo esc_html( $button_label ); ?></a>
  <?php } ?>
 
	
</div>
<?php

return ob_get_clean();
}
}


vc_map( array(
  "base" => "ts_contact_bar",
  "name" => __( 'Contact Bar', 'themezinho' ),
  "icon" => THEMEZINHO_CORE_URI . "assets/img/custom.png",
  "content_element" => true,
  "category" => PAGE_BUILDER_GROUP,
  'params' => array(
array(
      "type" => "colorpicker",
      "heading" => __( 'Color', 'themezinho' ),
      "param_name" => "color",
      "group" => 'General',
      "value" => ''
    ),
	  array(
      "type" => "colorpicker",
      "heading" => __( 'Background', 'themezinho' ),
      "param_name" => "background",
      "group" => 'General',
      "value" => ''
    ),
	  
	  
    
    array(
      "type" => "textfield",
      "heading" => __( 'Title', 'themezinho' ),
      "param_name" => "title",
      "group" => 'General',
    ),
	  array(
      "type" => "textarea",
      "heading" => __( 'Description', 'themezinho' ),
      "param_name" => "description",
      "group" => 'General',
    ),


    array(
      "type" => "dropdown",
      "heading" => __( 'Display Button', 'themezinho' ),
      "param_name" => "display_button",
      "group" => 'Button',
      "value" => array(
        "Hide" => 'hide',
        "Show" => 'show',
      )
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Button Label', 'themezinho' ),
      "param_name" => "button_label",
      "dependency" => array( 'element' => "display_button", 'value' => 'show' ),
      "group" => 'Button',
      "value" => ""
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Button URL', 'themezinho' ),
      "param_name" => "button_url",
      "dependency" => array( 'element' => "display_button", 'value' => 'show' ),
      "group" => 'Button',
      "value" => ""
    ),




    array(
      "type" => "dropdown",
      "heading" => __( 'Animate', 'themezinho' ),
      "param_name" => "animate_block",
      "group" => 'Animation',
      "value" => array(
        "No" => 'no',
        "Yes" => 'yes',
      )
    ),
    array(
      "type" => "dropdown",
      "heading" => __( 'Animation Type', 'themezinho' ),
      "param_name" => "animation_type",
      "dependency" => array( 'element' => "animate_block", 'value' => 'yes' ),
      "group" => 'Animation',
      "value" => motts_animations()
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Animation Delay', 'themezinho' ),
      "param_name" => "animation_delay",
      "dependency" => array( 'element' => "animate_block", 'value' => 'yes' ),
      "description" => __( 'Animation delay set in second e.g. 0.6s', 'themezinho' ),
      "group" => 'Animation',
    )
  ),
) );
