<?php
if ( !defined( 'ABSPATH' ) ) {
  die( '-1' );
}

class WPBakeryShortCode_ts_cta_box extends WPBakeryShortCode {

  protected function content( $atts, $content = null ) {

    extract( shortcode_atts( array(
      'align' => '',
      'color' => '#212223',
      'tagline' => '',
      'title' => '',
      'description' => '',
		
		
		'display_button' => 'hide',
      'button_label' => '',
      'button_url' => '',
		
		'display_light_button' => 'hide',
      'button_light_label' => '',
      'button_light_url' => '',
		
		
      'animate_block' => 'false',
      'animation_type' => 'fadeIn',
      'animation_delay' => '',
    ), $atts ) );

    ob_start();

    $wrapper_class = array();

    if ( $animate_block == 'yes' ) {
      $wrapper_class[] = 'wow';
      $wrapper_class[] = $animation_type;
    }

    $wrapper_class = implode( ' ', $wrapper_class );
    ?>
<div class="cta-box <?php if( $align == 'text-left' ) { ?> text-left <?php } ?> <?php echo esc_attr( $wrapper_class ); ?>"  style='color:<?php echo esc_attr( $color ); ?>;' <?php if( $animate_block == 'yes' && $animation_delay != '' ) { echo 'data-wow-delay="' . esc_attr( $animation_delay ) . '"'; } ?>>
	
	
	
	
	
	
  
	<?php if( $tagline ) { ?>
  <h6> <?php echo esc_html( $tagline ); ?> </h6>
  <?php } ?>
  <?php if( $title ) { ?>
  <h2><?php echo wp_kses_post( $title ); ?></h2>
  <?php } ?>
	
	 <?php if( $description ) { ?>
  <p><?php echo wpb_js_remove_wpautop( $description ); ?></p>
  <?php } ?>
	
	
	<?php if( $display_button != 'hide' ) { ?>
  <a href="<?php echo esc_url( $button_url ); ?>" class="custom-button"><?php echo esc_html( $button_label ); ?></a>
  <?php } ?>
	
	<?php if( $display_light_button != 'hide' ) { ?>
  <a href="<?php echo esc_url( $button_light_url ); ?>" class="light-button"><?php echo esc_html( $button_light_label ); ?></a>
  <?php } ?>
	
</div>
<?php

return ob_get_clean();
}
}


vc_map( array(
  "base" => "ts_cta_box",
  "name" => __( 'CTA Box', 'themezinho' ),
  "icon" => THEMEZINHO_CORE_URI . "assets/img/custom.png",
  "content_element" => true,
  "category" => PAGE_BUILDER_GROUP,
  'params' => array(
    array(
      "type" => "colorpicker",
      "heading" => __( 'Color', 'themezinho' ),
      "param_name" => "color",
      "group" => 'General',
      "value" => '#212529'
    ),
	 
    array(
      "type" => "dropdown",
      "heading" => __( 'Alignment', 'themezinho' ),
      "param_name" => "align",
      "group" => 'General',
      "value" => array(
        "Center" => '',
        "Left" => 'text-left',

      )
    ),

    array(
      "type" => "textfield",
      "heading" => __( 'Tagline', 'themezinho' ),
      "param_name" => "tagline",
      "group" => 'General',
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Title', 'themezinho' ),
      "param_name" => "title",
      "group" => 'General',
    ),
	   array(
      "type" => "textarea_html",
      "heading" => __( 'Description', 'themezinho' ),
      "param_name" => "description",
      "group" => 'General',
    ),
	  
	  
	  
	  
	  array(
      "type" => "dropdown",
      "heading" => __( 'Display Button', 'themezinho' ),
      "param_name" => "display_button",
      "group" => 'Button',
      "value" => array(
        "Hide" => 'hide',
        "Show" => 'show',
      )
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Button Label', 'themezinho' ),
      "param_name" => "button_label",
      "dependency" => array( 'element' => "display_button", 'value' => 'show' ),
      "group" => 'Button',
      "value" => ""
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Button URL', 'themezinho' ),
      "param_name" => "button_url",
      "dependency" => array( 'element' => "display_button", 'value' => 'show' ),
      "group" => 'Button',
      "value" => ""
    ),
	  
	  
	  
	  
	  
	  array(
      "type" => "dropdown",
      "heading" => __( 'Display Light Button', 'themezinho' ),
      "param_name" => "display_light_button",
      "group" => 'Light Button',
      "value" => array(
        "Hide" => 'hide',
        "Show" => 'show',
      )
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Button Label', 'themezinho' ),
      "param_name" => "button_light_label",
      "dependency" => array( 'element' => "display_light_button", 'value' => 'show' ),
      "group" => 'Light Button',
      "value" => ""
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Button URL', 'themezinho' ),
      "param_name" => "button_light_url",
      "dependency" => array( 'element' => "display_light_button", 'value' => 'show' ),
      "group" => 'Light Button',
      "value" => ""
    ),
	  
	  
	  
    array(
      "type" => "dropdown",
      "heading" => __( 'Animate', 'themezinho' ),
      "param_name" => "animate_block",
      "group" => 'Animation',
      "value" => array(
        "No" => 'no',
        "Yes" => 'yes',
      )
    ),
    array(
      "type" => "dropdown",
      "heading" => __( 'Animation Type', 'themezinho' ),
      "param_name" => "animation_type",
      "dependency" => array( 'element' => "animate_block", 'value' => 'yes' ),
      "group" => 'Animation',
      "value" => motts_animations()
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Animation Delay', 'themezinho' ),
      "param_name" => "animation_delay",
      "dependency" => array( 'element' => "animate_block", 'value' => 'yes' ),
      "description" => __( 'Animation delay set in second e.g. 0.6s', 'themezinho' ),
      "group" => 'Animation',
    )
  ),
) );
