<?php
if ( !defined( 'ABSPATH' ) ) {
  die( '-1' );
}

class WPBakeryShortCode_ts_hero_slider extends WPBakeryShortCode {

  protected function content( $atts, $content = null ) {

    extract( shortcode_atts( array(
      'hero_slider' => 0,
    ), $atts ) );

    //		 if( !is_int( $hero_slider ) ) {
    //		 	return;
    //		 }
    ob_start();
    $args = array(
      'post_type' => 'hero',
      'post__in' => array( $hero_slider )
    );

    $the_query = new WP_Query( $args );
    if ( $the_query->have_posts() ):
      while ( $the_query->have_posts() ):
        $the_query->the_post();

    $hero_type = get_field( 'type' );


    if ( $hero_type === 'swiper' ):

      if ( have_rows( 'slider' ) ):


	  $pagination = ( get_field( 'disable_pagination' ) ) ? false : true;
	  $navigation = ( get_field( 'disable_navigation' ) ) ? false : true;
	  $slider_parallax = get_field( 'slider_parallax_image' );
	  $slides = count( get_field( 'slider' ) );


    ?>
<header class="slider">
  <div class="main-slider">
    <div class="swiper-wrapper">
      <?php

      while ( have_rows( 'slider' ) ): the_row();
      $background_image = get_sub_field( 'background_image' );
      $background_image_mobile = get_sub_field( 'background_image_mobile' );
      ?>
      <div class="swiper-slide">
		 
		  
		  
        <div class="slide-image" data-background="<?php echo esc_url( $background_image ); ?>"></div>
        <div class="slide-image-mobile" data-background="<?php echo esc_url( $background_image_mobile ); ?>"></div>
        <!-- end slide-image -->
        <div class="container">
          <h1>
            <?php the_sub_field( 'title' ); ?>
          </h1>
          <p>
            <?php the_sub_field( 'description' ); ?>
          </p>
          <?php
          if ( $button_link = get_sub_field( 'button_link' ) ) {
            $button_label = get_sub_field( 'button_label' );
            ?>
          <a href="<?php echo esc_url( $button_link ); ?>"> <?php echo esc_html( $button_label ); ?></a>
          <?php } ?>
        </div>
        <!-- end container --> 
      </div>
      <!-- end swiper-slide -->
      <?php
      endwhile;
      ?>
    </div>
    <!-- end swiper-wrapper -->
   
	  <div class="controls">
    <div class="button-prev"><i class="lni lni-chevron-left"></i>
		  	<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="60" height="60" viewBox="0 0 30 30" xml:space="preserve">
                <circle fill="none" stroke="#fff" stroke-width="2" cx="15" cy="15" r="15"></circle>
              </svg>
		  </div>
    <!-- end button-prev -->
    <div class="swiper-pagination"></div>
    <!-- end swiper-pagination -->
    <div class="button-next"><i class="lni lni-chevron-right"></i>
		  <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="60" height="60" viewBox="0 0 30 30" xml:space="preserve">
                <circle fill="none" stroke="#fff" stroke-width="2" cx="15" cy="15" r="15"></circle>
              </svg>
		  </div>
    <!-- end button-next --> 
		  </div>
   
  </div>
  <!-- end main-slider --> 
  
</header>
<?php
endif;


elseif ( $hero_type === 'video' ):
  ?>
<header class="header">
  <div class="video-bg">
    <video src="" muted loop autoplay></video>
  </div>
  <!-- end video-bg -->
  <div class="container">
    <div class="inner">
      <?php if( get_field( 'video_bg_tagline' ) ) { ?>
      <div class="tagline"><span></span>
        <h6>
          <?php the_field( 'video_bg_tagline' ); ?>
        </h6>
      </div>
      <?php } ?>
      <h1>
        <?php the_field( 'video_bg_title' ); ?>
      </h1>
      <?php if( get_field( 'video_bg_button_link' ) ){ ?>
      <a href="<?php echo esc_url( get_field( 'video_bg_button_link' ) ); ?>" title="<?php echo esc_attr( get_field( 'video_bg_button_label' ) ); ?>"> <?php echo esc_html( get_field( 'video_bg_button_label' ) ); ?> </a>
      <?php } ?>
    </div>
  </div>
</header>
<?php

endif;

endwhile;
endif;

return ob_get_clean();
}
}

vc_map( array(
  "base" => "ts_hero_slider",
  "name" => __( 'Hero Slider', 'ts' ),
  "icon" => THEMEZINHO_CORE_URI . "assets/img/custom.png",
  "content_element" => true,
  "category" => PAGE_BUILDER_GROUP,
  'params' => array(
    array(
      "type" => "dropdown",
      "heading" => __( 'Hero Slider', 'ts' ),
      "param_name" => "hero_slider",
      "group" => "General",
      "description" => __( 'Before add slider please create slides from HEADER menu', 'ts' ),
      "value" => ts_get_hero_slider()
    )
  ),
) );
