<?php
if ( !defined( 'ABSPATH' ) ) {
  die( '-1' );
}

class WPBakeryShortCode_ts_side_services extends WPBakeryShortCode {

  protected function content( $atts, $content = null ) {

    extract( shortcode_atts( array(
	  'color' => '',
      'tagline' => '',
      'title' => '',
		'details' => '',

      'display_link' => 'hide',
      'link_label' => '',
      'link_url' => '',


      'animate_block' => 'false',
      'animation_type' => 'fadeIn',
      'animation_delay' => '',
    ), $atts ) );

    ob_start();


    $wrapper_class = '';
    if ( $animate_block == 'yes' ) {
      $wrapper_class = 'wow ' . $animation_type;
    }
	  
	  
	   $details = vc_param_group_parse_atts( $atts[ 'details' ] );
    ?>




<div <?php if( $color != '' ) { ?>style='color:<?php echo esc_attr( $color ); ?>;'<?php } ?> class="side-services <?php if( $position != 'left' ) { echo 'right'; } ?><?php if( $position != 'right' ) { echo 'left'; } ?> <?php echo esc_attr( $wrapper_class ); ?>" <?php if( $animate_block == 'yes' && $animation_delay != '' ) { echo 'data-wow-delay="' . esc_attr( $animation_delay ) . '"'; } ?>>
	
  <?php if( $tagline != '' ) { ?>
	<h6 <?php if( $color != '' ) { ?>style='color:<?php echo esc_attr( $color ); ?>;'<?php } ?>><?php echo esc_html( $tagline ); ?></h6>
  <?php } ?>
	
	 <?php if( $title != '' ) { ?>
	<h2><?php echo esc_html( $title ); ?></h2>
  <?php } ?>
	
	<ul>
    <?php
    $new_accordion_value = array();
    foreach ( $details as $data ) {
      $new_line = $data;
      $new_line[ 'title' ] = isset( $new_line[ 'title' ] ) ? $new_line[ 'title' ] : '';
      $new_line[ 'url' ] = isset( $new_line[ 'url' ] ) ? $new_line[ 'url' ] : '';

      $new_accordion_value[] = $new_line;

    }

    $idd = 0;
    foreach ( $new_accordion_value as $accordion ):
      $idd++;
    ?>

    <li>
      
		<?php if($accordion['title']) { ?>
        <a href="<?php echo esc_url($accordion['url']);?>"><?php echo esc_html($accordion['title']);?> <i class="lni lni-chevron-right"></i> </a>
        <?php } ?>
    </li>
		
    <?php
    endforeach;
    wp_reset_query();
    ?>
  </ul>
	
	
  
	<?php if( $display_link != 'hide' ) { ?>
  <a href="<?php echo esc_url( $link_url ); ?>" class="custom-link"><?php echo esc_html( $link_label ); ?></a>
  <?php } ?>
	
	
 
	
</div>
<?php

return ob_get_clean();
}
}


vc_map( array(
  "base" => "ts_side_services",
  "name" => __( 'Side Services', 'themezinho' ),
  "icon" => THEMEZINHO_CORE_URI . "assets/img/custom.png",
  "content_element" => true,
  "category" => PAGE_BUILDER_GROUP,
  'params' => array(
array(
      "type" => "colorpicker",
	 "holder" => "div",
          "class" => "",
      "heading" => __( 'Color', 'themezinho' ),
      "param_name" => "color",
      "value" => ''
    ),
	  
     array(
          "type" => "textfield",
          "holder" => "div",
          "class" => "",
          "heading" => __( "Tagline", 'themezinho' ),
          "param_name" => "tagline",
          "value" => ""
        ),
	  array(
          "type" => "textfield",
          "holder" => "div",
          "class" => "",
          "heading" => __( "Title", 'themezinho' ),
          "param_name" => "title",
          "value" => ""
        ),
    array(
      'type' => 'param_group',
      'param_name' => 'details',
      'heading' => __( 'Item Slider', 'themezinho' ),
      'params' => array(
        
        array(
          "type" => "textfield",
          "holder" => "div",
          "class" => "",
          "heading" => __( "Title", 'themezinho' ),
          "param_name" => "title",
          "value" => ""
        ),
        array(
          "type" => "textfield",
          "holder" => "div",
          "class" => "",
          "heading" => __( "URL", 'themezinho' ),
          "param_name" => "url",
          "value" => ""
        ),
      )
    ),
	  
	  


    array(
      "type" => "dropdown",
      "heading" => __( 'Display Link', 'themezinho' ),
      "param_name" => "display_link",
      "group" => 'Link',
      "value" => array(
        "Hide" => 'hide',
        "Show" => 'show',
      )
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Link Label', 'themezinho' ),
      "param_name" => "link_label",
      "dependency" => array( 'element' => "display_link", 'value' => 'show' ),
      "group" => 'Link',
      "value" => ""
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Link URL', 'themezinho' ),
      "param_name" => "link_url",
      "dependency" => array( 'element' => "display_link", 'value' => 'show' ),
      "group" => 'Link',
      "value" => ""
    ),




    array(
      "type" => "dropdown",
      "heading" => __( 'Animate', 'themezinho' ),
      "param_name" => "animate_block",
      "group" => 'Animation',
      "value" => array(
        "No" => 'no',
        "Yes" => 'yes',
      )
    ),
    array(
      "type" => "dropdown",
      "heading" => __( 'Animation Type', 'themezinho' ),
      "param_name" => "animation_type",
      "dependency" => array( 'element' => "animate_block", 'value' => 'yes' ),
      "group" => 'Animation',
      "value" => motts_animations()
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Animation Delay', 'themezinho' ),
      "param_name" => "animation_delay",
      "dependency" => array( 'element' => "animate_block", 'value' => 'yes' ),
      "description" => __( 'Animation delay set in second e.g. 0.6s', 'themezinho' ),
      "group" => 'Animation',
    )
  ),
) );
