<?php
if ( !defined( 'ABSPATH' ) ) {
  die( '-1' );
}

class WPBakeryShortCode_ts_track_form extends WPBakeryShortCode {

  protected function content( $atts, $content = null ) {

    extract( shortcode_atts( array(
      'form' => '',
      'animate_block' => 'false',
      'animation_type' => 'fadeIn',
      'animation_delay' => '',
    ), $atts ) );

    ob_start();

    $wrapper_class = array();

    if ( $animate_block == 'yes' ) {
      $wrapper_class[] = 'wow';
      $wrapper_class[] = $animation_type;
    }

    $wrapper_class = implode( ' ', $wrapper_class );

    $wpcargo_tracking_number = ( isset( $_REQUEST[ 'wpcargo_tracking_number' ] ) ) ? $_REQUEST[ 'wpcargo_tracking_number' ] : '';
/*    $result_page_id = $atts[ 'id' ];
    if ( !empty( $result_page_id ) ) {
      $get_action = 'action="' . get_page_link( $result_page_id ) . '"';
    } else {
      $get_action = 'action';
    }

*/
    ?>
<div class="track-shipping-form <?php echo esc_attr( $wrapper_class ); ?>" <?php if( $animate_block == 'yes' && $animation_delay != '' ) { echo 'data-wow-delay="' . esc_attr( $animation_delay ) . '"'; } ?>>
  <div class="inner">
    <form method="post" name="wpcargo-track-form" action="/track-form/">
      <?php wp_nonce_field( 'wpcargo_track_shipment_action', 'track_shipment_nonce' ); ?>
      <h3>Suivez votre colis</h3>
      <div class="form-group">Ex: 12345 </div>
      <!-- end form-group -->
      <div class="form-group">
        <?php do_action('wpcargo_add_form_fields'); ?>
        <td class="track_form_td"><input class="input_track_num" type="text" name="wpcargo_tracking_number" value="<?php echo $wpcargo_tracking_number; ?>" autocomplete="off" placeholder="<?php echo apply_filters('wpcargo_tn_placeholder', esc_html__('Enter Tracking Number', 'wpcargo' ) ); ?>" required>
      </div>
      <!-- end form-group -->
      <div class="form-group">
        <button id="submit_wpcargo" name="wpcargo-submit" type="submit"><i class="lni lni-search-alt"></i> RECHERCHE</button>
      </div>
      <!-- end form-group -->
    </form>
  </div>
</div>


<?php

return ob_get_clean();
}
}


vc_map( array(
  "base" => "ts_track_form",
  "name" => __( 'Track Form', 'themezinho' ),
  "icon" => THEMEZINHO_CORE_URI . "assets/img/custom.png",
  "content_element" => true,
  "category" => PAGE_BUILDER_GROUP,
  'params' => array(

    array(
      "type" => "dropdown",
      "heading" => __( 'Animate', 'themezinho' ),
      "param_name" => "animate_block",
      "group" => 'Animation',
      "value" => array(
        "No" => 'no',
        "Yes" => 'yes',
      )
    ),
    array(
      "type" => "dropdown",
      "heading" => __( 'Animation Type', 'themezinho' ),
      "param_name" => "animation_type",
      "dependency" => array( 'element' => "animate_block", 'value' => 'yes' ),
      "group" => 'Animation',
      "value" => motts_animations()
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Animation Delay', 'themezinho' ),
      "param_name" => "animation_delay",
      "dependency" => array( 'element' => "animate_block", 'value' => 'yes' ),
      "description" => __( 'Animation delay set in second e.g. 0.6s', 'themezinho' ),
      "group" => 'Animation',
    )
  ),
) );
